##### basic_seq_packet_socket::shutdown (1 of 2 overloads)

Inherited from basic_socket.

Disable sends or receives on the socket.

    void shutdown(
        shutdown_type what);

This function is used to disable send operations, receive operations, or both.

###### Parameters

what

  Determines what types of operation will no longer be allowed.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

Shutting down the send side of the socket:

    asio::ip::tcp::socket socket(my_context);
    ...
    socket.shutdown(asio::ip::tcp::socket::shutdown_send);